cgit

commit 11456a60deab19f5e3a1d191bdf48adfba9195e4

Author: Lars Hjemli <hjemli@gmail.com>

Merge branch 'stable'

 tests/setup.sh | 2 +-
 tests/t0010-validate-html.sh | 9 ++++++++-


diff --git a/tests/setup.sh b/tests/setup.sh
index 95acb542feb0644314427077bf137c3caeb5d8b9..30f90d5c39663166ad51e3c41995e255041420ee 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -113,7 +113,7 @@ 	if test $res = 0
 	then
 		printf " %2d) %-60s [ok]\n" $test_count "$desc"
 	else
-		((test_failed++))
+		test_failed=$(expr $test_failed + 1)
 		printf " %2d) %-60s [failed]\n" $test_count "$desc"
 	fi
 }




diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b5c7cd894712b146ee77dd82dc5b45bef8..3fe4800ecf7b6fceb3d84b5102bc25152e786ce1 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -9,7 +9,7 @@ 	tidy_opt="-eq"
 	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
 	cgit_url "$1" >trash/tidy-$test_count || return
 	sed -ie "1,4d" trash/tidy-$test_count || return
-	tidy $tidy_opt trash/tidy-$test_count
+	"$tidy" $tidy_opt trash/tidy-$test_count
 	rc=$?
 
 	# tidy returns with exitcode 1 on warnings, 2 on error
@@ -22,6 +22,13 @@ 	fi
 }
 
 prepare_tests 'Validate html with tidy'
+
+tidy=`which tidy`
+test -n "$tidy" || {
+	echo "Skipping tests: tidy not found"
+	tests_done
+	exit
+}
 
 run_test 'index page' 'test_url ""'
 run_test 'foo' 'test_url "foo"'